FileFormat.h File Reference

The JPEG 2000 file format Reader/Writer (JP2) More...

`#include <string>`

Go to the source code of this file.

## Classes

struct | grk::FileFormatBox
struct | grk::ComponentInfo
struct | grk::AsocBox
| Association box (defined in ITU 15444-2 Annex M 11.1 ) More...
struct | grk::UUIDBox
class | grk::FileFormat
| JPEG 2000 file format reader/writer. More...

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | JP2_JP 0x6a502020
| JPEG 2000 signature box.
#define | JP2_FTYP 0x66747970
| File type box.
#define | JP2_JP2H 0x6a703268
| JP2 header box (super-box)
#define | JP2_IHDR 0x69686472
| Image header box.
#define | JP2_COLR 0x636f6c72
| Colour specification box.
#define | JP2_JP2C 0x6a703263
| Contiguous code stream box.
#define | JP2_PCLR 0x70636c72
| Palette box.
#define | JP2_CMAP 0x636d6170
| Component Mapping box.
#define | JP2_CDEF 0x63646566
| Channel Definition box.
#define | JP2_DTBL 0x6474626c
| Data Reference box.
#define | JP2_BPCC 0x62706363
| Bits per component box.
#define | JP2_JP2 0x6a703220
| File type fields.
#define | JP2_RES 0x72657320
| Resolution box (super-box)
#define | JP2_CAPTURE_RES 0x72657363
| Capture resolution box.
#define | JP2_DISPLAY_RES 0x72657364
| Display resolution box.
#define | JP2_JP2I 0x6a703269
| Intellectual property box.
#define | JP2_XML 0x786d6c20
| XML box.
#define | JP2_UUID 0x75756964
| UUID box.
#define | JP2_UINF 0x75696e66
| UUID info box (super-box)
#define | JP2_ULST 0x756c7374
| UUID list box.
#define | JP2_URL 0x75726c20
| Data entry URL box.
#define | JP2_ASOC 0x61736f63
| Associated data box.
#define | JP2_LBL 0x6c626c20
| Label box.
#define | JP2_MAX_NUM_UUIDS 128
#define | GRK_BOX_SIZE 1024
#define | GRK_RESOLUTION_BOX_SIZE (4 + 4 + 10)

## Enumerations

enum | grk::JP2_STATE { grk::JP2_STATE_NONE = 0x0 , grk::JP2_STATE_SIGNATURE = 0x1 , grk::JP2_STATE_FILE_TYPE = 0x2 , grk::JP2_STATE_HEADER = 0x4 , grk::JP2_STATE_CODESTREAM = 0x8 , grk::JP2_STATE_END_CODESTREAM = 0x10 , grk::JP2_STATE_UNKNOWN = 0x7fffffff }

## Variables

const uint8_t | grk::IPTC_UUID [16]
const uint8_t | grk::XMP_UUID [16]

## Detailed Description

The JPEG 2000 file format Reader/Writer (JP2)

## Macro Definition Documentation

## GRK_BOX_SIZE

#define GRK_BOX_SIZE 1024

## GRK_RESOLUTION_BOX_SIZE

#define GRK_RESOLUTION_BOX_SIZE (4 + 4 + 10)

## JP2_ASOC

#define JP2_ASOC 0x61736f63

Associated data box.

## JP2_BPCC

#define JP2_BPCC 0x62706363

Bits per component box.

## JP2_CAPTURE_RES

#define JP2_CAPTURE_RES 0x72657363

Capture resolution box.

## JP2_CDEF

#define JP2_CDEF 0x63646566

Channel Definition box.

## JP2_CMAP

#define JP2_CMAP 0x636d6170

Component Mapping box.

## JP2_COLR

#define JP2_COLR 0x636f6c72

Colour specification box.

## JP2_DISPLAY_RES

#define JP2_DISPLAY_RES 0x72657364

Display resolution box.

## JP2_DTBL

#define JP2_DTBL 0x6474626c

Data Reference box.

## JP2_FTYP

#define JP2_FTYP 0x66747970

File type box.

## JP2_IHDR

#define JP2_IHDR 0x69686472

Image header box.

## JP2_JP

#define JP2_JP 0x6a502020

JPEG 2000 signature box.

## JP2_JP2

#define JP2_JP2 0x6a703220

File type fields.

## JP2_JP2C

#define JP2_JP2C 0x6a703263

Contiguous code stream box.

## JP2_JP2H

#define JP2_JP2H 0x6a703268

JP2 header box (super-box)

## JP2_JP2I

#define JP2_JP2I 0x6a703269

Intellectual property box.

## JP2_LBL

#define JP2_LBL 0x6c626c20

Label box.

## JP2_MAX_NUM_UUIDS

#define JP2_MAX_NUM_UUIDS 128

## JP2_PCLR

#define JP2_PCLR 0x70636c72

Palette box.

## JP2_RES

#define JP2_RES 0x72657320

Resolution box (super-box)

## JP2_UINF

#define JP2_UINF 0x75696e66

UUID info box (super-box)

## JP2_ULST

#define JP2_ULST 0x756c7374

UUID list box.

## JP2_URL

#define JP2_URL 0x75726c20

Data entry URL box.

## JP2_UUID

#define JP2_UUID 0x75756964

UUID box.

## JP2_XML

#define JP2_XML 0x786d6c20

XML box.